from odoo import models
from markupsafe import Markup

class WhatsAppAccount(models.Model):
    _inherit = 'whatsapp.account'

    def switch_to_production(self):
        self.ensure_one()
        self.name = f'{self.env.company.name} Meta Account'
        self.app_uid = ''
        self.app_secret = ''
        self.account_uid = ''
        self.phone_uid = ''
        self.token = ''
        self.message_post(body=Markup("""
            This demo account has been reset to prepare for a production account.<br/>
            Please <a target='_blank' href='https://www.odoo.com/r/whatsapp-doc'>read the documentation</a>
            for guidance on the next configuration steps.
        """))
        return
